Subject: Re: ARM Linux under RISC OS 4

From: [email-masked] (Dr K J Baxendale)
Date: Thu, 26 Aug 99 12:53:34

On Wed 25 Aug 99 (20:57:00 +0000), [email-masked] wrote:
>Has anyone had any joy running ARM Linux on a machine with RISC OS 4?
>
>My Linux set-up, which worked fine under RISC OS 3.6 is:
>
>  A 1.2 GB IDE Hard Drive on the internal controller with 1GB for
>Linux.
>  Kernel loader V3.21
>  Linux V 2.0.30 - that which shipped on the Clan CD
>
>The problem is that the kernel menu will appear, as well as the
>additional arguments prompt, but it just dumps you back into RISC OS
>after pressing return.
>
>I have also tried the alpha loader V3.28, but without any luck.
>
>BTW, I am using the Authorised Installers version of RISC OS V4.00
>BETA.
>
>Matthew Harris
>  
I am also using RO4 and am just starting out with Linux. I have just bought a
bigger HD with 1.2G set aside for Linux. The version of PartMan on the Clan CD
did not work but then I found mention of this in the Linux FAQs and tried to
newer alpha version from the website. I think this worked OK, except it did not
allow me to change anything relating to the Linux Table partition which is only
1 sector of 512 bytes long and comes up therefore as zeroK in length. It did do
a little damage to my ADFS partition - some spreadsheet files lost bits - but I
still had my old HD so was able to retrieve full copies.

When I tried to install the kernal, using Paul Vigay's instructions:
f12, then:
ARMLinux.!Linux -bootkernel ARMLinux.kernal

Pressing return took me straight to back to the star prompt, no Kernel Loader
menu was displayed. I am using !Linux v 2.0.27

This was as far as I got, since being new to Linux I was not sure whether the
problem was a clash with RO4 or that I had not downloaded the kernal properly. 

So if anyone can help with this at least two of us would be very grateful.

TIA

Keith
-- 
 --. --. --. --. : : --- --- .---------------------------------------------.
 |_| |_| | _ | | | | |_   |  |Internet provider for all Acorn RISC machines|
 | | |\  | | | | |\| |    |  '---------------------------------------------'
 | | | \ |_| |_| | | |__  |  Keith J Baxendale           [email-masked]

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]